Bug 1926271 - The containerruntimecontroller doesn't roll back to CR-1 if we delete CR-2
Summary: The containerruntimecontroller doesn't roll back to CR-1 if we delete CR-2
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Documentation
Version: 4.5
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.7.0
Assignee: Michael Burke
QA Contact: MinLi
Vikram Goyal
URL:
Whiteboard:
Depends On: 1825417 1941367
Blocks:
TreeView+ depends on / blocked
 
Reported: 2021-02-08 14:44 UTC by Michael Burke
Modified: 2021-03-24 20:52 UTC (History)
7 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1825417
Environment:
Last Closed: 2021-03-24 20:52:56 UTC
Target Upstream Version:


Attachments (Terms of Use)

Comment 1 Michael Burke 2021-02-08 14:54:38 UTC
Urvashi Mohnani
Can you also add in the doc that the max number of ctrcfg or kubeletconfig objects that you can make is 10. Ideally they shouldn't make more if they are rolling out changes to the same mcp, they should update the existing one. But if they really want to make a new one, the max is 10. After they hit that, they will have to delete the cfg objects in reverse order (so most recent first 10, 9, 8...) to free up space to create more

but we fixed that in 4.7, where the limitation to successfully do that is 10

https://coreos.slack.com/archives/DLLJFC3E3/p1612548746006600

Comment 2 Michael Burke 2021-02-22 16:12:11 UTC
Min Li -- Can you please take a look at my PR for this issue, as you reviewed the associated dev BZ. Thank you very much! 

Michael

https://github.com/openshift/openshift-docs/pull/29273

Comment 3 MinLi 2021-02-23 09:19:27 UTC
Michael Burke, I leave comments in the pr your mentioned.


Note You need to log in before you can comment on or make changes to this bug.